# pylint: disable=protected-access
from .exporter import Exporter

prometheus_logo = """
@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@@((((((((((((((((((((((@@@@@@@@@@@@@@@@@@@
@@@@@@@@@@@@@@((((((((((((((@@((((((((((((((((@@@@@@@@@@@@@@
@@@@@@@@@@@((((((((((((((((@@@(((((((((((((((((((@@@@@@@@@@@
@@@@@@@@(((((((((((((((((((@@@@(((((@(((((((((((((((@@@@@@@@
@@@@@@(((((((((((((((@@((((@@@@@(((@@(((((((((((((((((@@@@@@
@@@@@((((((((((((((((@@@((@@@@@@@(@@@@((((((((((((((((((@@@@
@@@(((((((((((((((((@@@@(@@@@@@@@(@@@@@((((((((((((((((((@@@
@@(((((((((((((((((@@@@@@@@@@@@@@(@@@@@@((((((((((((((((((@@
@(((((((((((((((((@@@@@@@@@@@@@@@@@@@@@@@((((((((((((((((((@
@(((((((((((((((((@@@@@@@@@@@@@@@@@@@@@@@((((((((((((((((((@
@(((((((((((((((((@@@@@@@@@@@@@@@@@@@@@@@(((((((((((((((((((
(((((((((((((((((((@@@@@@@@@@@@@@@@@@@@@@(((((((((((((((((((
@(((((((((((@@@@((((@@@@@@@@@@@@@@@@@@@(((((@@@@((((((((((((
@((((((((((((@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@((((((((((((@
@((((((((((((((@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@((((((((((((((@
@@((((((((((((((((((((((((((((((((((((((((((((((((((((((((@@
@@@(((((((((((((@@@@@@@@@@@@@@@@@@@@@@@@@@@@(((((((((((((@@@
@@@@((((((((((((@@@@@@@@@@@@@@@@@@@@@@@@@@@@((((((((((((@@@@
@@@@@@((((((((((((((((((((((((((((((((((((((((((((((((@@@@@@
@@@@@@@@((((((((((((((@@@@@@@@@@@@@@@@((((((((((((((@@@@@@@@
@@@@@@@@@@(((((((((((((@@@@@@@@@@@@@@(((((((((((((@@@@@@@@@@
@@@@@@@@@@@@@@(((((((((((#@@@@@@@@@(((((((((((&@@@@@@@@@@@@@
@@@@@@@@@@@@@@@@@@((((((((((((((((((((((((@@@@@@@@@@@@@@@@@@"""

cmd_help = (
    prometheus_logo
    + """

A Prometheus exporter for Celery.

Metrics exposed:
"""
)

temp_exporter = Exporter()

for metric in temp_exporter.state_counters.values():
    cmd_help += f"""
\b
{metric._name}_total
{metric._documentation:30s}
"""

for metric in [
    temp_exporter.celery_worker_up,
    temp_exporter.worker_tasks_active,
    temp_exporter.celery_task_runtime,
]:
    cmd_help += f"""
\b
{metric._name}
{metric._documentation:30s}
"""
